Bug 1255048 - Reconfigure service button gives 404
Reconfigure service button gives 404
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity unspecified
: GA
: 5.5.0
Assigned To: Martin Hradil
Pavol Kotvan
: ZStream
Depends On:
Blocks: 1265757
  Show dependency treegraph
 
Reported: 2015-08-19 09:42 EDT by Geert Jansen
Modified: 2015-12-08 08:27 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1265757 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:27:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
err (62.47 KB, image/png)
2015-09-03 05:32 EDT, Aziza Karol
no flags Details

  None (edit)
Description Geert Jansen 2015-08-19 09:42:30 EDT
Description of problem:

Accessing the "Reconfigure this service" button for a CloudFormation provisioned service gives an error.

Version-Release number of selected component (if applicable):

CFME 5.4.1.0.20150717083323_6ed7e1c

How reproducible:

Always

Steps to Reproduce:

1. Add a catalog item to a service catalog that provisions a CloudFormation stack.
2. Order the item, order it, and let it provision.
3. Go to the provisioned service, and click "Configuration" => "Reconfigure this Service".

Actual results:

Unexpected error encountered

Errors in Management Engine can be caused by:

① Accessing Management Engine from multiple tabs or windows of the same browser on a single machine. Close any duplicate browser sessions, then select a menu option above.
② Pressing the back button during a session. 
      Close any duplicate browser sessions, then select a menu option above.
③ An internal system error. 
      Please contact your administrator for assistance.


Error text:

Missing template service/x_button, application/x_button with {:locale=>[:en], :formats=>[:js, "application/ecmascript", "application/x-ecmascript", :html, :text, :js, :css, :ics, :csv, :png, :jpeg, :gif, :bmp, :tiff, :mpeg, :xml, :rss, :atom, :yaml, :multipart_form, :url_encoded_form, :json, :pdf, :zip], :handlers=>[:erb, :builder, :jbuilder, :rjs, :haml]}. Searched in: * "/var/www/miq/vmdb/app/views" [service/x_button]

Expected results:

No error.

Additional info:

I have not tried Heat, just CloudFormation.
Comment 2 Dave Johnson 2015-09-02 09:54:52 EDT
Aziza, can you try to recreate this please.
Comment 3 Aziza Karol 2015-09-03 05:31:08 EDT
This issue is reproducible in 5.4.2.0.20150820153254_83e434d. see attached screenshot.

production.log:
[----] I, [2015-09-03T05:30:12.481589 #2537:4dde9c]  INFO -- : Started POST "/service/x_button/1?pressed=service_reconfigure" for 127.0.0.1 at 2015-09-03 05:30:12 -0400
[----] I, [2015-09-03T05:30:12.485646 #2537:4dde9c]  INFO -- : Processing by ServiceController#x_button as JS
[----] I, [2015-09-03T05:30:12.485731 #2537:4dde9c]  INFO -- :   Parameters: {"pressed"=>"service_reconfigure", "id"=>"1"}
[----] F, [2015-09-03T05:30:12.510512 #2537:4dde9c] FATAL -- : Error caught: [ActionView::MissingTemplate] Missing template service/x_button, application/x_button with {:locale=>[:en], :formats=>[:js, "application/ecmascript", "application/x-ecmascript", :html, :text, :js, :css, :ics, :csv, :png, :jpeg, :gif, :bmp, :tiff, :mpeg, :xml, :rss, :atom, :yaml, :multipart_form, :url_encoded_form, :json, :pdf, :zip], :handlers=>[:erb, :builder, :jbuilder, :rjs, :haml]}. Searched in:
  * "/var/www/miq/vmdb/app/views"

/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_view/path_set.rb:58:in `find'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_view/lookup_context.rb:122:in `find'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_view/renderer/abstract_renderer.rb:3:in `find_template'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_view/renderer/template_renderer.rb:34:in `determine_template'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_view/renderer/template_renderer.rb:10:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_view/renderer/renderer.rb:36:in `render_template'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_view/renderer/renderer.rb:17:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/rendering.rb:110:in `_render_template'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/streaming.rb:225:in `_render_template'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/rendering.rb:103:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/renderers.rb:28:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/compatibility.rb:50:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/rendering.rb:88:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/rendering.rb:16:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/instrumentation.rb:40:in `block (2 levels) in render'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/core_ext/benchmark.rb:5:in `block in ms'
/opt/rh/ruby200/root/usr/share/ruby/benchmark.rb:296:in `realtime'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/core_ext/benchmark.rb:5:in `ms'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/instrumentation.rb:40:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/instrumentation.rb:83:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activerecord/lib/active_record/railties/controller_runtime.rb:24:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/instrumentation.rb:39:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/implicit_render.rb:10:in `default_render'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/implicit_render.rb:5:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/base.rb:167:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/callbacks.rb:18:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:568:in `_run__347859444437733610__process_action__3017984958761556947__callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:405:in `__run_callback'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/callbacks.rb:17:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/notifications.rb:123:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/notifications.rb:123:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/instrumentation.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/base.rb:121:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/rendering.rb:45:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal.rb:203:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal.rb:246:in `block in action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:73:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:36:in `call'
/opt/rh/cfme-gemset/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'
/opt/rh/cfme-gemset/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'
/opt/rh/cfme-gemset/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:608:in `call'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/etag.rb:23:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/conditionalget.rb:35:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/head.rb:14:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/params_parser.rb:21:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/flash.rb:242:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:210:in `context'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:205:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/cookies.rb:341:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activerecord/lib/active_record/query_cache.rb:64:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:479:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:405:in `_run__4425365667545675265__call__82792668543543546__callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:405:in `__run_callback'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/rack/logger.rb:32:in `call_app'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/rack/logger.rb:18:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/request_id.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/methodoverride.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/runtime.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/cache/strategy/local_cache.rb:72:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/lock.rb:15:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/static.rb:63:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/engine.rb:484:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/application.rb:231:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/content_length.rb:14:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/rack/log_tailer.rb:17:in `call'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:80:in `block in pre_process'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:78:in `catch'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:78:in `pre_process'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:53:in `process'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:38:in `receive_data'
/opt/rh/ruby200/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/ruby200/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/backends/base.rb:61:in `start'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/server.rb:159:in `start'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/handler/thin.rb:13:in `run'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/server.rb:268:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands/server.rb:70:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands.rb:55:in `block in <top (required)>'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands.rb:50:in `tap'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands.rb:50:in `<top (required)>'
script/rails:6:in `require'
script/rails:6:in `<main>'
Comment 4 Aziza Karol 2015-09-03 05:32:01 EDT
Created attachment 1069714 [details]
err
Comment 10 CFME Bot 2015-10-01 18:30:41 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b14645407bcfbddafd90cb67fe6f452e51eda95d

commit b14645407bcfbddafd90cb67fe6f452e51eda95d
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Wed Sep 30 18:02:21 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Sep 30 18:02:21 2015 +0000

    Toolbar - hide Reconfigure service when no Reconfigure resource action or dialog
    
    This makes build_toolbar_hide call build_toolbar_hide_button_service for
    both Service and ServiceOrchestration
    
    It also adds a check for resource_action.dialog_id for
    service_reconfigure, since it can't do anything without a dialog.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1255048

 app/helpers/application_helper/toolbar_builder.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 12 CFME Bot 2015-10-16 17:22:41 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=e18747d2716af77b8e191898dc8f1122fd158b0b

commit e18747d2716af77b8e191898dc8f1122fd158b0b
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Fri Oct 2 14:42:58 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Fri Oct 2 14:42:58 2015 +0000

    Toolbar - hide Reconfigure service when no Reconfigure resource action or dialog
    
    This makes build_toolbar_hide call build_toolbar_hide_button_service for
    both Service and ServiceOrchestration
    
    It also adds a check for resource_action.dialog_id for
    service_reconfigure, since it can't do anything without a dialog.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1255048
    
    (cherry-picked from b14645407bcfbddafd90cb67fe6f452e51eda95d)
    https://bugzilla.redhat.com/show_bug.cgi?id=1265757

 vmdb/app/helpers/application_helper.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 13 CFME Bot 2015-10-16 17:22:58 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=3b8a5789a9b552f0602df7e30e3346d186c7292c

commit 3b8a5789a9b552f0602df7e30e3346d186c7292c
Merge: 36fde53 e18747d
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Oct 16 17:20:54 2015 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Oct 16 17:20:54 2015 -0400

    Merge branch 'bz1265757' into '5.4.z'
    
    Toolbar - hide Reconfigure service when no Reconfigure resource action or dialog
    
    This makes build_toolbar_hide call build_toolbar_hide_button_service for
    both Service and ServiceOrchestration
    
    It also adds a check for resource_action.dialog_id for
    service_reconfigure, since it can't do anything without a dialog.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1255048
    
    (cherry-picked from b14645407bcfbddafd90cb67fe6f452e51eda95d)
    https://bugzilla.redhat.com/show_bug.cgi?id=1265757
    
    See merge request !277

 vmdb/app/helpers/application_helper.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 14 Pavol Kotvan 2015-10-27 06:59:16 EDT
Verified against 5.5.0.5-beta1.1.20151007163855_ed40d96. Service reconfiguration is possible now.
Comment 16 errata-xmlrpc 2015-12-08 08:27:59 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.